<?php
class impro_editor {
	public static function init() {
		global $post;
		
		add_action("admin_print_footer_scripts", array('impro_editor',"do_scripts"));
		add_meta_box('impro_editor_box','Selected image', array('impro_editor','do_output'), 'post', 'side', 'high');
		add_meta_box('impro_editor_box','Selected image', array('impro_editor','do_output'), 'page', 'side', 'high');
		
		/* add plugin for all custom types */
		if ($post) {
			add_meta_box('impro_editor_box', __('Selected image', 'imagepro'), array('impro_editor','do_output'), get_post_type($post->ID), 'side', 'high');
		}
		
		add_filter("mce_external_plugins", array('impro_editor', 'do_mce_plugin'));
		add_filter("tiny_mce_before_init", array('impro_editor', 'do_mce_init'));
		
	}
	public static function do_output() {
		/* init view for folder */
		require_once('view/editor.php');	
	}
	public static function do_scripts() {
		echo impro_base::css("/src/view/css/editor.css");
		
		echo impro_base::inlinejs('var imageproEditorL10N = ' . json_encode(array(
			'enableTinyMCE' => __("You must enable the visual editor from your User Profile in order for Image Pro plugin to work", 'imagepro'),
			'differentDomain' => __("This image is from a different remote domain. To be able to resize it, upload the image on this domain!", 'imagepro'),
			'convertToImagePro' => __("This image was inserted through the normal WordPress picture upload. Would you like Image Pro plugin to take care of it's resize and become awesome?", 'imagepro')
		)));
		
		echo impro_base::js("/src/js/editor.js");
	}
	public static function do_mce_plugin($plugin_array) {
		$plugin_array['advimagescale'] = impro::url() . '/src/js/helper/tinymce_advanced_scale_plugin/editor_plugin_src.js';
		return $plugin_array;
	}
	public static function do_mce_init($init) {
		$init['advimagescale_resize_callback'] = 'impro.editor.onMCEResize';
		return $init;
	}
}