<?php
require_once("../../../../../wp-load.php");
require_once("../base.php");

if (!current_user_can('edit_posts')) {
	print "Permission error! You must be logged in";
	exit;
}

/* get parameters */
$filetype = $_GET['filetype'];
$search   = $_GET['search'];
$sort     = $_GET['sort'];

/* query the attachments */
$query = new WP_Query(array(
	'post_type' => 'attachment',
	'post_status' => 'inherit',
	'posts_per_page' => 1000000,
	's' => $search,
	'post_mime_type' => $filetype,
	'suppress_filters' => true
));

$attachments = array();

/* build attachments array */
while($query->have_posts()):
	$query->the_post();
	
	$id = get_the_ID();
	$name = get_the_title();
	$path = get_attached_file($id);
	$url = wp_get_attachment_url($id);
	$size = filesize($path);
	$type = wp_check_filetype($path);
	$ext = strtolower($type['ext']);
		
	$thumb = impro_paths_manager::get()->generateFolderThumbUrl($id, $name, $path, $url, $size, $type, $ext);
		
	$attachments[] = array(
		"id" => $id,
		"name" => $name,
		"size" => $size,
		"ext" => $ext,
		"url" => $url,
		"thumb" => $thumb 
	);
	
endwhile;

foreach($attachments as $f):
?>
<li data-attachment-id="<?php echo $f['id']?>" data-url="<?php echo $f['thumb']?>" data-ext="<?php echo $f['ext']?>">
	<img data-lazy-src="<?php echo $f['thumb']?>" />
	<span><?php echo $f['name']?></span>
</li>
<?php endforeach?>